### Method

# Fwupd Client get_main_context

#### Declaration [src]

    GMainContext*
    fwupd_client_get_main_context (
      FwupdClient* self
    )

#### Description [src]

Gets the internal `GMainContext` to use for synchronous methods. By default the value is set a new `GMainContext`.

Available since: | 1.5.3

#### Return value

Returns: | `GMainContext`
| The main context.
| The caller of the method takes ownership of the data, and is responsible for freeing it.